package org.wbconfig.action.file;

import org.eclipse.jface.dialogs.Dialog;
import org.eclipse.swt.widgets.Event;
import org.eclipse.swt.widgets.Shell;
import org.wbconfig.WBConfig;
import org.wbconfig.action.BaseAction;
import org.wbconfig.widget.PreviewDialog;

/**
 *PreviewAction.java
 * @author Xavier Cho
 * @version $Revision: 1.1 $ $Date: 2004/01/31 06:07:53 $
 */
public class PreviewAction extends BaseAction {

    public PreviewAction(final WBConfig application) {
        super(application);
    }

    /**
     * @see org.eclipse.jface.action.IAction#runWithEvent(org.eclipse.swt.widgets.Event)
     */
    public void runWithEvent(final Event event) {
        Shell parent = getApplication().getShell();
        Dialog dialog = new PreviewDialog(parent);
        dialog.open();
    }
}
