package org.wbconfig.action.help;

import org.eclipse.jface.dialogs.Dialog;
import org.eclipse.swt.widgets.Event;
import org.eclipse.swt.widgets.Shell;
import org.wbconfig.WBConfig;
import org.wbconfig.action.BaseAction;
import org.wbconfig.widget.AboutDialog;

/**
 * AboutAction.java
 * @author Xavier Cho
 * @version $Revision: 1.2 $ $Date: 2004/01/25 08:25:26 $
 */
public class AboutAction extends BaseAction {

    public AboutAction(final WBConfig application) {
        super(application);
    }

    /**
     * @see org.eclipse.jface.action.IAction#runWithEvent(org.eclipse.swt.widgets.Event)
     */
    public void runWithEvent(final Event event) {
        Shell parent = getApplication().getShell();
        Dialog dialog = new AboutDialog(parent);
        dialog.open();
    }
}
