package org.wbconfig.preference;

import java.io.File;
import java.io.IOException;

import org.eclipse.jface.preference.PreferenceStore;
import org.wbconfig.util.SpecialFolders;

/**
 * AppPreferenceStore.java
 * @author Xavier Cho
 * @version $Revision: 1.3 $ $Date: 2004/01/03 09:10:49 $
 */
public class AppPreferenceStore extends PreferenceStore {
    public AppPreferenceStore() throws IOException {
        String path = SpecialFolders.getPreferenceFilePath();
        setFilename(path);

        setDefault("location.x", 100);
        setDefault("location.y", 100);
        setDefault("size.width", 720);
        setDefault("size.height", 610);

        if ((new File(path)).exists()) {
            load();
        }
    }
}
